#!/bin/bash

. /usr/lib/ovs/ovs-cluster-common

hb_dev_name=$(dmsetup table --target nfs | grep "nfs $CLUSTER_ROOT_PATH/$DMNFS_HB_FILENAME" | awk -v FS=: '{print $1;}')
if [[ ! "$hb_dev_name" == "" ]]; then
    #/sbin/ocfs2_hb_ctl -I -d /dev/mapper/dmnfs0
    while hb_started "/dev/mapper/$hb_dev_name"; do
        #/sbin/ocfs2_hb_ctl -K -d /dev/mapper/dmnfs0
        hb_stop "/dev/mapper/$hb_dev_name"
    done
    dmsetup remove $hb_dev_name
fi


